VARKON Version 1.15 1997-10-24

> ## inv_curv - Function

> Geometrical function
> Description
> Returns the parameter value of a position on a curve having a specified curvature.
> Syntax
> inv_curv(ref,curv,alt)

> REF | ref;
> FLOAT | curv;
> INT | alt;

> Principal parameters

> ref | - Identity of curve
> curv | - Curvature

> Optional parameters

> alt | - Alternative, default = 1

> Return value
> A FLOAT value equal to the parameter value of the requested position.
> Example
> inv_curv(#5,0.01)
> The parameter value of a position on #5 where curvature is equal to 1/100.
> Comments
> If more than one position on the entity has the specified curvature alt can be used to select the right solution.
> Curvature is equal to the inverse of curvature radius.

VARKON Homepage | Index